## class OSGTEXT_EXPORT Glyph

## Inheritance:

### Public Methods

Glyph()
virtual ~Glyph()
unsigned int getGlyphCode() const
void setHorizontalBearing(const osg::Vec2& bearing)
const osg::Vec2& getHorizontalBearing() const
void setHorizontalAdvance(float advance)
float getHorizontalAdvance() const
void setVerticalBearing(const osg::Vec2& bearing)
const osg::Vec2& getVerticalBearing() const
void setVerticalAdvance(float advance)
float getVerticalAdvance() const
void setTexture(GlyphTexture* texture)
GlyphTexture* getTexture()
const GlyphTexture* getTexture() const
osg::StateSet* getStateSet()
const osg::StateSet* getStateSet() const
void setTexturePosition(int posX, int posY)
int getTexturePositionX() const
int getTexturePositionY() const
void setMinTexCoord(const osg::Vec2& coord)
const osg::Vec2& getMinTexCoord() const
void setMaxTexCoord(const osg::Vec2& coord)
const osg::Vec2& getMaxTexCoord() const
void subload() const
void draw(osg::State& state) const

### Protected Fields

Font* _font
unsigned int _glyphCode
osg::Vec2 _horizontalBearing
float _horizontalAdvance
osg::Vec2 _verticalBearing
float _verticalAdvance
GlyphTexture* _texture
int _texturePosX
int _texturePosY
osg::Vec2 _minTexCoord
osg::Vec2 _maxTexCoord
mutable GLObjectList _globjList

### Protected Members

typedef osg::buffered_value<GLuint> GLObjectList

## Documentation

`Glyph()`

`virtual ~Glyph()`

`unsigned int getGlyphCode() const`

`void setHorizontalBearing(const osg::Vec2& bearing)`

`const osg::Vec2& getHorizontalBearing() const`

`void setHorizontalAdvance(float advance)`

`float getHorizontalAdvance() const`

`void setVerticalBearing(const osg::Vec2& bearing)`

`const osg::Vec2& getVerticalBearing() const`

`void setVerticalAdvance(float advance)`

`float getVerticalAdvance() const`

`void setTexture(GlyphTexture* texture)`

`GlyphTexture* getTexture()`

`const GlyphTexture* getTexture() const`

`osg::StateSet* getStateSet()`

`const osg::StateSet* getStateSet() const`

`void setTexturePosition(int posX, int posY)`

`int getTexturePositionX() const`

`int getTexturePositionY() const`

`void setMinTexCoord(const osg::Vec2& coord)`

`const osg::Vec2& getMinTexCoord() const`

`void setMaxTexCoord(const osg::Vec2& coord)`

`const osg::Vec2& getMaxTexCoord() const`

`void subload() const`

`void draw(osg::State& state) const`

`Font* _font`

`unsigned int _glyphCode`

`osg::Vec2 _horizontalBearing`

`float _horizontalAdvance`

`osg::Vec2 _verticalBearing`

`float _verticalAdvance`

`GlyphTexture* _texture`

`int _texturePosX`

`int _texturePosY`

`osg::Vec2 _minTexCoord`

`osg::Vec2 _maxTexCoord`

`typedef osg::buffered_value<GLuint> GLObjectList`

`mutable GLObjectList _globjList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.